package com.example.wallpapermagazine.adapter.adapter;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;
import androidx.fragment.app.FragmentManager;
import androidx.fragment.app.FragmentStatePagerAdapter;

public class FragmentLikeAdapter extends FragmentStatePagerAdapter {

    private Fragment fragment;
    public FragmentLikeAdapter(@NonNull FragmentManager fm,Fragment f) {
        super(fm);
        this.fragment=f;
    }

    @NonNull
    @Override
    public Fragment getItem(int position) {
        return fragment;
    }

    @Override
    public int getCount() {
        return 1;
    }
}
